import { DEFAULT_LAYOUT } from '../base';
import { AppRouteRecordRaw } from '../types';

const LIST: AppRouteRecordRaw = {
  path: '/dictionary',
  name: 'dictionary',
  component: DEFAULT_LAYOUT,
  meta: {
    locale: 'menu.dictionary',
    requiresAuth: true,
    icon: 'icon-menu-unfold',
    order: 3,
  },
  children: [
    {
      path: 'dictionarylist', // The midline path complies with SEO specifications
      name: 'dictionarylist',
      component: () => import('@/views/dictionary/index.vue'),
      meta: {
        locale: 'menu.dictionarylist.Table',
        requiresAuth: true,
        roles: ['*'],
      },
    }
  ],
};

export default LIST;
