import { DEFAULT_LAYOUT } from '../base';
import { AppRouteRecordRaw } from '../types';

const LIST: AppRouteRecordRaw = {
  path: '/exchangerate',
  name: 'exchangerate',
  component: DEFAULT_LAYOUT,
  meta: {
    locale: 'menu.carousel',
    requiresAuth: true,
    icon: 'icon-menu-unfold',
    order: 3,
  },
  children: [
    {
      path: 'carouseldetailed', // The midline path complies with SEO specifications
      name: 'carouseldetailed',
      component: () => import('@/views/carousel/carousel.vue'),
      meta: {
        locale: 'menu.carousel.Table',
        requiresAuth: true,
        roles: ['*'],
      },
    }
  ],
};

export default LIST;
