import { DEFAULT_LAYOUT } from '../base';
import { AppRouteRecordRaw } from '../types';

const JOBUSER: AppRouteRecordRaw = {
  path: '/jobuser',
  name: 'jobuser',
  component: DEFAULT_LAYOUT,
  meta: {
    locale: 'menu.jobuser',
    requiresAuth: true,
    icon: 'icon-user',
    order: 0,
  },
  children: [
    {
      path: 'jobusers',
      name: 'jobusers',
      component: () => import('@/views/jobuser/index.vue'),
      meta: {
        locale: 'menu.jobuser.userlist',
        requiresAuth: true,
        roles: ['*'],
      },
    },
    {
      path: 'searchusertime',
      name: 'searchusertime',
      component: () => import('@/views/jobuser/searchusertime.vue'),
      meta: {
        locale: 'menu.searchusertime',
        requiresAuth: true,
        roles: ['admin'],
      },
    },
  ],
};

export default JOBUSER;
