import { DEFAULT_LAYOUT } from '../base';
import { AppRouteRecordRaw } from '../types';

const JOBUSER: AppRouteRecordRaw = {
  path: '/withdraw',
  name: 'withdraw',
  component: DEFAULT_LAYOUT,
  meta: {
    locale: 'menu.withdraw',
    requiresAuth: true,
    icon: 'icon-user',
    order: 0,
  },
  children: [
    {
      path: 'withdraws',
      name: 'withdraws',
      component: () => import('@/views/withdraw/index.vue'),
      meta: {
        locale: 'menu.withdraw.list',
        requiresAuth: true,
        roles: ['*'],
      },
    },
  ],
};

export default JOBUSER;
